*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
   
}

body {
    background-color: #003153;
    color: black;
}

img {
    width: 100%;
    height: auto;
}


/* Index */

.header-portfolio {
    display: flex;
    flex-direction: column;
    text-align: center;
    margin: 0 auto;
    background-color: white;
    width: 400px;
    margin-top: 10px;
    border-radius: 10px;
}

.social{
    width: 50px;
    height: auto;
    cursor: pointer;
    color: white;
}

.social:hover {
    transform: scale(1.05);
    cursor: pointer;
    
}

.socials {
    display: flex;
    justify-content: center;
    padding-top: 20px;
}

.project-container {
display: grid;
grid-template-columns: repeat(3,auto);
justify-content: center;
gap: 10px;
padding-bottom: 10px;

}

.project-container h1 {
    text-align: center;
}

.project-container img {
    width: 400px;
    height: auto;
}

.project-card {
border: 2px solid black;
}

.project-card:hover {
transform: scale(1.02);   
cursor: pointer;
border-radius: 10px;
}

.foter {
    background-color: grey;
}

.modal {
    display: none;
    position: fixed;
    justify-content: center;
    align-items: center;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,0.8);
    z-index: 999;
}

.modal.open {
    display: flex;
    
}

.modal-content {
}

.modal-images {
    display: flex;
    flex-direction: column;
    overflow-y: scroll;
    scroll-snap-type: y mandatory;
    height: 100vh;
    width: 100%;
}

.modal-images img {
    width: 100%;
    height: 100vh;
    object-fit: contain;
    scroll-snap-align: start;
    
}